Bug 153050 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-rootpassword (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:24 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 02:19:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the warnings (4.18 KB, patch)
2005-03-31 23:59 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:24:25 EST
Description of problem:

/usr/share/system-config-rootpassword/passwordDialog.py:66:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainWindow.set_resizable(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:67:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.toplevel = gtk.VBox(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:68:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainVBox = gtk.VBox(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:71:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.passwordEntry.set_visibility(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:73:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.confirmEntry.set_visibility(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:99:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.msgLabel.set_line_wrap(gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:195:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.iconBox.pack_start(self.icon, gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:196:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.iconBox.pack_start(self.msgLabel, gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:199:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.toplevel.pack_start(self.iconBox, gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:200:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.toplevel.pack_start(self.mainVBox, gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:201:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainVBox.pack_start(self.table, gtk.FALSE)
/usr/share/system-config-rootpassword/passwordDialog.py:204:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  self.mainVBox.pack_start(bb, gtk.FALSE)


Version-Release number of selected component (if applicable):

1.1.6-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-03-31 23:57:57 EST
patch against current cvs should fix this issue.
Comment 2 Colin Charles 2005-03-31 23:59:09 EST
Created attachment 112562 [details]
fixes the warnings

Note You need to log in before you can comment on or make changes to this bug.